
<div class="wrap">
<h2><?php _e('Write Book Entry'); ?></h2>

<?php
if ($_POST['savebook']) {
  $content         = apply_filters('content_save_pre',  $_POST['reviewtext']);
	$post_title      = apply_filters('title_save_pre',    $_POST['book_title']);
	//set which category you want the books to appear in, for more than one use increasing numbers, e.g. $post_categories[0] for the top level (e.g. reading) then $post_categories[1] for the next (e.g. books).  The numbers used to set the category are the category IDs, which can be found next to each category on the Manage->Categories page
	$post_categories[0] = 3;
	//$post_categories[1] = 1;
	$post_status     = apply_filters('status_save_pre',   'publish');
	
	if ( isset($_POST['parent_id']) )
		$post_parent = (int) $_POST['parent_id'];

	if ( isset($_POST['menu_order']) )
		$menu_order = (int) $_POST['menu_order'];

	if (! empty($_POST['post_author_override'])) {
		$post_author = (int) $_POST['post_author_override'];
	} else if (! empty($_POST['post_author'])) {
		$post_author = (int) $_POST['post_author'];
	} else {
		$post_author = (int) $_POST['user_ID'];
	}
	if ( !user_can_edit_user($user_ID, $post_author) )
		die( __('You cannot post as this user.') );
	
	$comment_status = $_POST['comment_status'];
	if ( empty($comment_status) ) {
		if ( !isset($_POST['advanced_view']) )
			$comment_status = get_option('default_comment_status');
		else
			$comment_status = 'closed';
		}

	$ping_status = $_POST['ping_status'];
	if ( empty($ping_status) ) {
		if ( !isset($_POST['advanced_view']) )
			$ping_status = get_option('default_ping_status');			
		else
			$ping_status = 'closed';
		}
	
  if (user_can_set_post_date($user_ID) && (!empty($_POST['edit_date']))) {
		$aa = $_POST['aa'];
		$mm = $_POST['mm'];
		$jj = $_POST['jj'];
		$hh = $_POST['hh'];
		$mn = $_POST['mn'];
		$ss = $_POST['ss'];
		$jj = ($jj > 31) ? 31 : $jj;
		$hh = ($hh > 23) ? $hh - 24 : $hh;
		$mn = ($mn > 59) ? $mn - 60 : $mn;
		$ss = ($ss > 59) ? $ss - 60 : $ss;
		$now = "$aa-$mm-$jj $hh:$mn:$ss";
		$now_gmt = get_gmt_from_date("$aa-$mm-$jj $hh:$mn:$ss");
	} else {
		$now = current_time('mysql');
		$now_gmt = current_time('mysql', 1);
	}
	
	$id_result = $wpdb->get_row("SHOW TABLE STATUS LIKE '$wpdb->posts'");
	$post_ID = $id_result->Auto_increment;
	
	if ( empty($post_name) ) {
		if ( 'draft' != $post_status )
			$post_name = sanitize_title($post_title, $post_ID);
	} else {
		$post_name = sanitize_title($post_name, $post_ID);
	}
	
	if ('publish' == $post_status) {
		$post_name_check = $wpdb->get_var("SELECT post_name FROM $wpdb->posts WHERE post_name = '$post_name' AND post_status = 'publish' AND ID != '$post_ID' LIMIT 1");
		if ($post_name_check) {
			$suffix = 2;
			while ($post_name_check) {
				$alt_post_name = $post_name . "-$suffix";
				$post_name_check = $wpdb->get_var("SELECT post_name FROM $wpdb->posts WHERE post_name = '$alt_post_name' AND post_status = 'publish' AND ID != '$post_ID' LIMIT 1");
				$suffix++;
			}
			$post_name = $alt_post_name;
		}
	}
	
	$postquery ="INSERT INTO $wpdb->posts
			(ID, post_author, post_date, post_date_gmt, post_content, post_title, post_excerpt,  post_status, comment_status, ping_status, post_password, post_name, to_ping, post_modified, post_modified_gmt, post_parent, menu_order)
			VALUES
			('$post_ID', '$post_author', '$now', '$now_gmt', '$content', '$post_title', '$excerpt', '$post_status', '$comment_status', '$ping_status', '$post_password', '$post_name', '$trackback', '$now', '$now_gmt', '$post_parent', '$menu_order')
			";

	$result = $wpdb->query($postquery);

	$location = 'book-new.php?posted=true';
	
	header("Location: $location"); // Send user on their way while we keep working
	
	// Insert categories
	// Check to make sure there is a category, if not just set it to some default
	if (!$post_categories) $post_categories[] = get_option('default_category');
	foreach ($post_categories as $post_category) {
		// Double check it's not there already
		$exists = $wpdb->get_row("SELECT * FROM $wpdb->post2cat WHERE post_id = $post_ID AND category_id = $post_category");

		 if (!$exists) { 
			$wpdb->query("
			INSERT INTO $wpdb->post2cat
			(post_id, category_id)
			VALUES
			($post_ID, $post_category)
			");
		}
	}

	function add_book_meta($post_ID) {
	global $wpdb;
	
	$author     = $wpdb->escape( stripslashes( trim($_POST['author']) ) );
	$book_image	= $wpdb->escape( stripslashes( trim($_POST['book_image']) ) );
	$book_link	= $wpdb->escape( stripslashes( trim($_POST['book_link']) ) );
	$recommend	= $wpdb->escape( stripslashes( trim($_POST['recommend']) ) );

	$result = $wpdb->query("INSERT INTO $wpdb->postmeta (post_id,meta_key,meta_value) VALUES ('$post_ID','author','$author') ");
  $result = $wpdb->query("INSERT INTO $wpdb->postmeta (post_id,meta_key,meta_value) VALUES ('$post_ID','book_image','$book_image') ");
  $result = $wpdb->query("INSERT INTO $wpdb->postmeta (post_id,meta_key,meta_value) VALUES ('$post_ID','book_link','$book_link') ");
$result = $wpdb->query("INSERT INTO $wpdb->postmeta (post_id,meta_key,meta_value) VALUES ('$post_ID','recommend','$recommend') ");
	
	} // add_book_meta
	
	add_book_meta($post_ID);
	
	$wpdb->query("UPDATE $wpdb->posts SET guid = '" . get_permalink($post_ID) . "' WHERE ID = '$post_ID'");

	do_action('save_post', $post_ID);

	if ('publish' == $post_status) {
		do_action('publish_post', $post_ID);
		if ($post_pingback)
			pingback($content, $post_ID);
		do_enclose( $content, $post_ID );
		do_trackbacks($post_ID);
		
	}

	//require_once('admin-header.php');

	exit();
	break;
	
} else {

if ($_GET['posted'] == 'true') {
  echo "<div class=\"updated\"><p>Post saved. <a href=\"<?php bloginfo('home'); ?>\">View site &raquo;</a></p></div>";
}

?>

<form name="post" action="book-new.php" method="post" id="post">

<input type="hidden" name="user_ID" value="<?php echo $user_ID ?>" />

<script type="text/javascript">
<!--
function focusit() {
	// focus on first input field
	document.post.book_title.focus();
}
window.onload = focusit;
//-->
</script>
    <fieldset id="book_titlediv">
      <legend><?php _e('Book Title') ?></legend> 
 	  <div><input type="text" name="book_title" size="30" tabindex="1" value="<?php echo $edited_post_title; ?>" id="book_title" /></div>
    </fieldset>
<fieldset id="book_titlediv">
      <legend><?php _e('Author') ?></legend> 
	  <div><input type="text" name="author" size="30" tabindex="1" value="<?php echo $edited_post_title; ?>" id="author" /></div>
    </fieldset>
    <fieldset id="recommend">
      <legend><?php _e('Recommend?') ?></legend> 
	  <div><select name="recommend">
	  <option value='no'><?php _e('No'); ?></option>
		<option value='yes'><?php _e('Yes'); ?></option>
        </select>
	  </div>
    </fieldset>
<fieldset id="review">
    <legend><?php _e('Review Text') ?></legend>
<?php the_quicktags(); ?>
<?php
 $rows = get_settings('default_post_edit_rows');
 if (($rows < 3) || ($rows > 100)) {
     $rows = 10;
 }
?>
<div class="clear"></div>
<div><textarea rows="<?php echo $rows; ?>" cols="40" name="reviewtext" tabindex="4" id="reviewtext"><?php echo $content ?></textarea></div>
</fieldset>


<script type="text/javascript">
<!--
edCanvas = document.getElementById('reviewtext');
//-->
</script>

<div class="clear"></div>

<p class="submit">
  <input name="savebook" type="submit" id="savebook" tabindex="6" value="<?php $post_ID ? _e('Edit Book Entry') :_e('Create New Book Entry') ?> &raquo;" /> 
  <input name="referredby" type="hidden" id="referredby" value="<?php echo $sendto; ?>" />
</p>

<fieldset id="bookoptions">
	 <legend><?php _e('Book Options') ?></legend> 
<table width="100%" cellspacing="2" cellpadding="5" class="editform">
	<tr valign="top">
		<th scope="row" width="30%"><?php _e('Book Link') ?>:</th>
		<td><input name="book_link" type="text" size="25" id="book_link" value="<?php echo $book_link ?>" /></td>
	</tr>
	<tr valign="top">
		<th scope="row" width="30%"><?php _e('Image URL') ?>:</th>
		<td><input name="book_image" type="text" size="25" id="book_image" value="<?php echo $book_image ?>" /></td>
	</tr>
<?php if ($user_level > 4) : ?>
	<tr>
		<th scope="row"><?php _e('Edit time'); ?>:</th>
		<td><?php touch_time(($action == 'edit')); ?></td>
	</tr>
<?php endif; ?>
<?php if ('edit' == $action) : ?>
	<tr>
		<th scope="row"><?php _e('Delete'); ?>:</th>
		<td>
		<input name="deletepost" class="button" type="submit" id="deletepost" tabindex="10" value="<?php _e('Delete this post') ?>" <?php echo "onclick=\"return confirm('" . sprintf(__("You are about to delete this post \'%s\'\\n  \'Cancel\' to stop, \'OK\' to delete."), addslashes($edited_post_title) ) . "')\""; ?> />
</td>
<?php endif; ?>
	</tr>
</table>
</fieldset>
<div class="clear"></div>

<?php do_action('edit_book_form', ''); ?>
</form>
<?php
} // if else for post or display
?>

</div>
